<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- as-07 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>

</head>
<body height="100%" style="margin:0;" bgcolor="#FFFFFF">
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="100%" align="center" valign="top" background="images/body-bg.gif"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="74" height="227" valign="top"><img src="images/left.gif" width="74" height="227" /></td>
        <td rowspan="2" align="left" valign="top"><table width="100%" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td height="76" valign="bottom" style="background-image:url(images/top.gif); background-position:left; background-repeat:no-repeat;"><table width="100%" border="0" cellspacing="1" cellpadding="1">
                <tr>
                  <td height="38" width="65" ><!--Logo-->
<div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div>
<!--End Logo--></td>
                  <td align="left"><!--Company-->
<div  class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></div>
<!--End Company--></td>
                </tr>
            </table></td>
          </tr>
          <tr>
            <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td background="images/footer-bg.gif"><table border="0" cellpadding="0" cellspacing="0" background="images/ASg_06.gif">
                  <tr>
                    <!--Menu-->
 <xsl:call-template name="TOP-MENU"/>
<!--End Menu-->

                  </tr>
                </table></td>
              </tr>
              <tr>
                <td><img name="" src="" width="1" height="1" alt="" /></td>
              </tr>
            </table></td>
          </tr>
          <tr>
            <td background="images/bg.gif"><table width="100%" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td height="270" align="center" valign="top" style="background-image:url(images/headers.jpg); background-position:left; background-repeat:no-repeat;"><table border="0" cellspacing="10" cellpadding="10">
                    <tr>
                      <td><!--Slogan-->
<div align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div>
<!--End Slogan--></td>
                    </tr>
                </table></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
      
      
      <tr>
        <td width="74">         </td>
        </tr>
      <tr>
        <td width="74"></td>
        <td height="100%"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td width="184" align="left" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td><img name="" src="" width="1" height="1" alt="" /></td>
              </tr>
              <tr>
                <td valign="top" height="200"><table width="100%" border="0" cellpadding="0" cellspacing="0">
                  <tr>
                    <td align="center" valign="top" background="images/submenu-bg.gif"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td><img src="" width="1" height="15" alt="" /><spacer type="block" width="184" height="1" /></td>
                      </tr>
                      <tr>
                        <td valign="top" height="168" style="padding-left:32px;padding-right:32px;padding-bottom:20px;"><table border="0"  cellpadding="2" cellspacing="2">

                           <!--Sub Menu-->
<xsl:call-template name="SUB-MENU">	<xsl:with-param name="pageID" select="@ID"/></xsl:call-template> 
<!--End Menu-->
                        </table></td>
                      </tr>
                    </table></td>
                  </tr>
                </table></td>
              </tr>
            </table></td>
            <td height="100%" valign="top"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td width="14"></td>
                <td><img src="" width="1" height="14" alt="" /></td>
                <td width="17"></td>
              </tr>
              <tr>
                <td><img name="" src="" width="14" height="1" alt="" /></td>
                <td height="100%" valign="top"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
                  <tr>
                    <td height="33"><table border="0" align="left" cellpadding="0" cellspacing="0">
                        <tr>
                          <td><!--Content-->
<span class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span>

<!--End Content--></td>
                          <td><img src="images/txt-header.gif" width="17" height="17" hspace="8" vspace="8" /></td>
                        </tr>
                    </table></td>
                  </tr>
                  <tr>
                   <td height="100%" valign="top"  name="SB_ stretch"><div class="pageContent"><xsl:apply-templates select="PAGE-CONTENT"/></div></td>
                  </tr>
                </table></td>
                <td><img name="" src="" width="17" height="1" alt="" /></td>
              </tr>
              <tr>
                <td></td>
                <td><img name="" src="" width="1" height="42" alt="" /></td>
                <td></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td width="74"></td>
        <td height="60" align="left" valign="middle" background="images/footer-bg.gif" style="padding-left:24px;padding-right:24px;"><table border="0" cellspacing="7" cellpadding="0">
          <tr>
            <td><table border="0" align="center" cellpadding="0" cellspacing="0">
              <tr>
                <!--bMenu-->
<xsl:call-template name="BOTTOM-MENU"/><!--End bMenu-->
              </tr>
            </table></td>
          </tr>
          <tr>
            <td align="left" class="footer"><!--Footer-->
<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
<!--End Footer--></td>
          </tr>
		  
        </table></td>
      </tr>
      
    </table></td>
  </tr>
</table>
</body>
</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
	
		<xsl:when test="@ID=/LAYOUT/@ID" >
		
		<tr>
                <td><span class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
                
              </tr>
		
		</xsl:when>
		
		<xsl:otherwise>	
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
			    <tr>
                <td><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
               
              </tr>
		
			</xsl:if>
			
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	</xsl:if>
	
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
			<td><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td><img src="images/bmenu_separator.gif" border="0" width="1" height="8" hspace="20" /></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>