<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- av-080 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0" style="background-image: url('images/body_bg.gif');background-repeat: repeat;">
<table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;background-image: url('images/body_bg.gif');background-repeat: repeat;">
  <tr>
    <td width="28" height="30"><div style="height:30px;width:28px;"></div>
</td>
    <td height="30"><div style="height:25px;width:722px;"></div></td>
    <td width="28" height="30"><div style="height:30px;width:28px;"></div></td>
  </tr>
  <tr>
    <td width="28"></td>
    <td valign="top"><table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;">
  <tr>
    <td height="50" valign="top"  style="background-image: url('images/menu_bg2.gif');background-repeat: repeat;"><table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;background-image: url('images/menu_bg1.gif');background-position:top;background-repeat: repeat-x;">
  <tr>
    <td valign="top" style="background-image: url('images/body_bg.gif');background-position:bottom;background-repeat: repeat-x;"><table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;">
  <tr>
    <td width="10"><div style="height:px;width:10px;"></div>
</td>
    <td align="center"><!-- MENU --><table border="0" cellspacing="0" cellpadding="0" >
  <tr>
    <xsl:call-template name="TOP-MENU"/>

    
  </tr>
</table><!-- END MENU -->
</td>
    <td width="10"><div style="height:px;width:10px;"></div>
</td>
  </tr>
</table>
</td>
  </tr>
</table>
</td>
  </tr>
  <tr>
    <td height="240" style="background-image: url('images/header_bg.jpg');background-position:left;background-repeat: repeat-x;"><table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;background-image: url('images/header.jpg'); background-position: left; background-repeat: no-repeat;">
  <tr>
    <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="485"><div style="height:25px;width:485px;"></div></td>
        <td align="right" style="padding-right:10px"><!-- LOGO -->
          <table width="230" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="78" rowspan="2" align="left"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
        <td height="27" align="left" valign="bottom" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
</td>
      </tr>
      <tr>
        <td height="28" align="left" valign="top"><span class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
</span></td>
      </tr>
     
    </table>
      <!-- END LOGO --></td>
      </tr>
    </table></td>
  </tr>
</table>
</td>
  </tr>
  <tr>
    <td><table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;">
  <tr>
    <td width="100%" align="left" valign="top"  style="background-image: url('images/main_line.gif');background-position:right;background-repeat: repeat-y;">
	<table border="0" cellspacing="0" cellpadding="0" style="width: 100%; height: 100%;">
      <tr>
        <td align="left" valign="top" class="pageContent_table">
		<!-- CONTENT -->
            <table cellpadding="0" cellspacing="0" border="0">
              <tr>
                <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
</td>
                <td class="text-header" style="padding-left:10px;"><img src="images/txtheader_bullet.gif"/></td>
              </tr>
            </table>
          <div style="height:20px;"></div>
          <table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" valign="top" width="100%">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
            <!-- END CONTENT --></td>
      </tr>
    </table></td>
    <td width="240" align="center" valign="top"><div style="height:17px;width:240px;"></div><!-- SUBMENU -->
            <table width="182" border="0" cellspacing="0" cellpadding="0">
             <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>

            </table>
          <!-- END SUBMENU --></td>
  </tr>
</table>
</td>
  </tr>
  <tr>
    <td height="67" style="background-image: url('images/main_line.gif');background-position:top;background-repeat: repeat-x;">
	<table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;">
      <tr>
        <td align="center" valign="middle"  style="width:100%;background-image: url('images/main_line.gif');background-position:right;background-repeat: repeat-y;">
		<table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;">
		<tr>
		<td width="15"><div style="height:px;width:15px;"></div>
		</td>
		<td align="center"><!-- BOTTOM MENU -->
		<table border="0" cellpadding="0" cellspacing="0">
		<tr>
		<xsl:call-template name="BOTTOM-MENU"/>
		</tr>
		</table>
		<!-- END BOOTTOM MENU --></td>
		<td width="15"><div style="height:px;width:15px;"></div>
		</td>
		</tr>
		</table>
		</td>
        <td width="240" align="center" valign="middle">
		<!-- FOOTER -->
		<div align="center" class="copyright">
		<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
		</div>
		<div style="height:px;width:240px;">
		</div>
		<!-- END FOOTER -->
		</td>
      </tr>
    </table></td>
  </tr>
</table>
</td>
    <td width="28"></td>
  </tr>
</table>

</BODY>

	</html>
</xsl:template>

<!-- TOP-MENU-->
<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>
<!-- END TOP-MENU-->


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>

<!-- SUB-MENU-->	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
	<xsl:when test="@ID=/LAYOUT/@ID" >
	
	  <!-- sub-menu without link-->	
      <tr>
                <td align="left"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td width="5"><img src="images/submenu_bullet.gif"/></td>
                      <td><span class="submenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
                    </tr>
                </table></td>
              </tr>
	  <!--end-->
	  
		
	</xsl:when>
	<xsl:otherwise>
	<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
	
	  <!--sub-menu with link-->
	  <tr>
                <td align="left"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td width="5"><img src="images/submenu_bullet.gif"/></td>
                      <td align="left" valign="middle" class="submenutable"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                    </tr>
                </table></td>
              </tr>
              
	  <!--end-->
	  
	  
	</xsl:if>
	</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	 
	  <!-- sub-menu no last-->
      <tr>
                <td height="1" align="left" style="background-image: url('images/submenu_line.gif');background-position:left;background-repeat: no-repeat;"></td>
              </tr>
	  <!--end-->
	  
	
</xsl:if>
</xsl:template>	
<!--END SUB-MENU-->


<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>


<!-- BOTTOM-MENU-->		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
	   
		<!-- bottom-menu with link-->
        <td align="left" valign="middle" ><a href="{@HREF}" class="bmenua" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
		<!--end-->
		
		
        </xsl:when>
		
	    <xsl:otherwise>
		  
		<!-- bottom-menu click link-->  
        <td align="left" valign="middle" ><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
		<!--end-->
		
		
		</xsl:otherwise>
        </xsl:choose>
	    <xsl:if test="position()!=last()">
		
		<!-- bottom-menu no last-->
        <td align="right" valign="middle"><img src="images/botmenu_bullet.gif"/></td>
		<!--end-->
		
		</xsl:if>
</xsl:template>
<!--END BOTTOM-MENU-->
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
