<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*" />
<xsl:include href="buttons.xsl" />
<xsl:template match="LAYOUT">
<xsl:variable name="cID" select="@ID" />
<html>
<!-- av-087 -->
<head>
	<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
	<xsl:apply-templates select="META-TAGS" />
	<link href="css/styles.css" rel="stylesheet" type="text/css" />
</head>
<body style="margin: 0px;" background="images/bg.gif">
<table height="100%" width="100%" border="0" cellspacing="0" cellpadding="0" background="images/bg.gif">
<tr>
	<td height="100%" width="100%" valign="top">
		<table height="100%" width="100%" border="0" align="left" cellpadding="0" cellspacing="0">
		<tr>
			<td width="70" valign="top">
				<table width="100%" border="0" cellspacing="0" cellpadding="0">
				<tr>
					<td height="292px" background="images/top-bg.gif">
						<img src="images/blank.gif" border="0" height="0" width="120px" />
					</td>
				</tr>
			  </table>
			</td>
			<td width="202" rowspan="3" valign="top" background="images/submenu_bg.gif">
				<table width="100%" border="0" cellspacing="0" cellpadding="0">
				<tr>
					<td bgcolor="#000000">
						<img name="" src="images/blank.gif" width="195" height="1" alt="" />
					</td>
				</tr>
				<tr>
					<td>
						<table width="195" border="0" align="center" cellpadding="0" cellspacing="0">
						<tr>
							<td height="275" valign="top" background="images/submenu_bg.gif" style="padding:10px; ">
								<table width="100%" border="0" cellspacing="0" cellpadding="0">
								<tr>
									<td height="97" background="images/logo-bg-1.gif">
										<table border="0" align="center" cellpadding="0" cellspacing="4">
										<tr>
											<td align="center" style="padding-right:5px;">
											<!--Logo-->
												<a href="./"><img src="images/{LOGO/@NAME}" border="0" alt="" /></a>
											<!--End Logo-->
											</td>
											<td class="company">
											<!--Company-->
												<xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
											<!--End Company-->
											</td>
										</tr>
										</table>
									</td>
								</tr>
								<tr>
									<td>
										<table width="85%" border="0" align="center" cellpadding="0" cellspacing="0">
										<tr>
											<td>
												<table width="100%" border="0" cellspacing="0" cellpadding="0">
												<tr>
													<td height="10"></td>
												</tr>
												</table>
												<table width="100%" border="0" cellspacing="0" cellpadding="0">
												<!--Menu-->
													<xsl:call-template name="TOP-MENU" />
												<!--End Menu-->
												</table>
											</td>
										</tr>
										</table>
									</td>
								</tr>
								</table>
						  </td>
						</tr>
						<tr>
							<td>
								<img src="images/logo-line.gif" width="195" height="11" />
							</td>
						</tr>
						<tr>
							<td background="images/submenu_bg.gif">
								<img name="" src="images/blank.gif" width="1" height="32" alt="" />
							</td>
						</tr>
						<tr>
							<td background="images/submenu_bg.gif">
								<table width="85%" border="0" align="center" cellpadding="0" cellspacing="0">
								<tr>
									<td>
										<table width="100%" border="0" cellspacing="0" cellpadding="0">
										<!--Sub Menu-->
											<xsl:call-template name="SUB-MENU">
											<xsl:with-param name="pageID" select="@ID" />
											</xsl:call-template>
										<!--End Menu-->
										</table>
									</td>
								</tr>
								</table>
							</td>
						</tr>
					  </table>
					</td>
				</tr>
				</table>
			</td>
			<td height="100%" width="100%" rowspan="3" valign="top">
				<table height="100%" width="100%" border="0" cellspacing="0" cellpadding="0">
				<tr>
					<td height="290px">
						<table width="100%" border="0" cellspacing="0" cellpadding="0">
						<tr>
							<td width="484px" background="images/headers.jpg">
								<table width="100%" border="0" cellspacing="0" cellpadding="0">
								<!--<tr>
									<td>
										<img src="images/blank.gif" width="1px" height="96px" alt="" />
									</td>
								</tr>-->
								<tr>
									<td>
										<table width="100%" border="0" cellspacing="0" cellpadding="0">
										<tr>
											<td>
												<img src="images/blank.gif" width="1px" height="96px" alt="" />
											</td>
										</tr>
										<tr>
											<td width="2%">
												<!--<div style="width:1px; height:96px; "></div>-->
												<img src="images/blank.gif" width="1px" height="96px" alt="" />
											</td>
											<td width="98%">
												<table border="0" align="right" cellpadding="0" cellspacing="0">
												<tr>
													<td class="slogan" align="center" width="150px">
													<!--Slogan-->
														<xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
													<!--End Slogan-->
													</td>
													<td class="slogan">
														<!--<div style="width:20px; height:1px; "></div>-->
														<img src="images/blank.gif" width="20px" height="1px" alt="" />
													</td>
												</tr>
												</table>
											</td>
										</tr>
										</table>
									</td>
								</tr>
								<tr>
									<td>
										<div style="width:1px; height:97px;"></div>
									</td>
								</tr>
								<tr>
									<td height="1" bgcolor="#666666">
										<img src="images/blank.gif" border="0" height="1" />
									</td>
								</tr>
								</table>
							</td>
							<td>
								<table width="100%" border="0" cellspacing="0" cellpadding="0">
								<tr>
									<td height="289px" background="images/headers_bg.jpg">
										<div style="width:1px; "></div>
									</td>
								</tr>
								<tr>
									<td height="1px" bgcolor="#666666"></td>
								</tr>
								</table>
							</td>
						</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td bgcolor="#333333">
						<table width="100%" border="0" cellpadding="0" cellspacing="0" style="height: 100%;">
						<tr>
							
							<td width="100%" height="100%" valign="top" style="padding:20px;">
								<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" style="height: 100%;">
								<tr>
									<td>
										<table border="0" cellspacing="0" cellpadding="0">
										<tr>
											<td class="text-header">
												<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
											</td>
											<td>
												<img src="images/txtheader_bullet.gif" width="17" height="17" hspace="8" />
											</td>
										</tr>
										</table>
									</td>
								</tr>
								<tr>
									<td class="pageContent" name="SB_stretch" height="100%" width="100%" style="vertical-align: top; padding-top: 10px;">
										<xsl:apply-templates select="PAGE-CONTENT" />
									</td>
								</tr>
								</table>
						  </td>
							
						</tr>
						</table>
					</td>
				</tr>
				</table>
			</td>
		</tr>
		<tr>
			<td></td>
		</tr>
		<tr>
			<td>
				<span></span>
			</td>
		</tr>
		<tr>
			<td></td>
			<td height="71" bgcolor="#25050B">
				<div align="center" class="footer">
				<!--Footer-->
					<div align="center" class="footer">
						<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
					</div>
				<!--End Footer-->
				</div>
			</td>
			<td background="images/footer-bg.gif">
				<table width="100%" border="0" cellspacing="0" cellpadding="0">
				<tr>
					<td>
						<img name="" src="images/blank.gif" width="10" height="1" alt="" />
					</td>
					<td>
						<table border="0" align="center" cellpadding="0" cellspacing="0">
						<tr>
						<!--bMenu-->
							<xsl:call-template name="BOTTOM-MENU" />
						</tr>
						<!--End bMenu-->
						</table>
					</td>
					<td>
						<img name="" src="images/blank.gif" width="10" height="1" alt="" />
					</td>
				</tr>
				</table>
			</td>
		</tr>
		</table>
	</td>
</tr>
</table>

</body>
</html>
</xsl:template>
<xsl:template name="TOP-MENU">
	<xsl:apply-templates select="MENU" mode="top" />
</xsl:template>
<xsl:template name="SUB-MENU">
	<xsl:param name="pageID" />
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub" />
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID" />
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub" />
		</xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID">
			<tr>
				<td class="amenu">
					
						<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
					
				</td>
				<td>
					
						<div align="right">
							<img src="images/submenu_bullet.gif" width="6" height="5" border="0" />
						</div>
					
				</td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td>
						<a href="{@HREF}" class="menu">
							<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
						</a>
					</td>
					<td>
						
							<div align="right">
								<img src="images/submenu_bullet.gif" width="6" height="5" border="0" />
							</div>
						
					</td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr>
			<td colspan="2" background="images/submenu_hr.gif">
				<img src="images/submenu_hr.gif" width="138" height="24" />
			</td>
		</tr>
	</xsl:if>
</xsl:template>
<xsl:template name="BOTTOM-MENU">
	<xsl:apply-templates select="MENU" mode="bottom" />
</xsl:template>
<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM" mode="bottom" />
</xsl:template>
<xsl:template match="MENU-ITEM" mode="bottom">
	<xsl:choose>
	<!-- when vizited inside-->
		<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]">
			<td>
				<img src="images/bmenu_separator.gif" hspace="10" border="0" />
			</td>
			<td>
				<a href="{@HREF}" class="amenu">
					<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
				</a>
			</td>
		</xsl:when>
	<!-- when active-->
		<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
			<td>
				<img src="images/bmenu_separator.gif" hspace="10"  border="0" />
			</td>
			<td class="amenu">
					<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
			</td>
		</xsl:when>
		<xsl:otherwise>
			<td>
					<img src="images/bmenu_separator.gif"  hspace="10" border="0" />
			</td>
			<td>
				<a href="{@HREF}" class="menu">
					<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
				</a>
			</td>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<td>
			<img name="" src="images/blank.gif" width="0" height="0" alt="" />
		</td>
	</xsl:if>
</xsl:template>
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags" />
</xsl:template>
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content">
			<xsl:value-of select="." disable-output-escaping="yes"/>
		</xsl:attribute>
	</meta>
</xsl:template>
<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags" />
</xsl:template>
</xsl:stylesheet>