<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>

 
	<xsl:template match="MENU" mode="sub">
		<xsl:apply-templates select="MENU-ITEM"  mode="sub"/>
	</xsl:template> 
				

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
           <!-- when visited inside-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
			<td align="center">
				<table width="100%" height="70" border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td align="center" valign="bottom"><img src="images/bullet1.gif" width="8" height="8" /></td>
				</tr>
				<tr>
					<td align="center"><a href="{@HREF}" class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				</tr>
				</table>
			</td>        		
            </xsl:when>
            <!-- when active-->
            
            <xsl:otherwise>
        		<td align="center">
				<table width="100%" height="70" border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td align="center" valign="bottom"><img src="images/bullet1.gif" width="8" height="8" /></td>
				</tr>
				<tr>
					<td align="center"><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				</tr>
				</table>
			</td> 
            </xsl:otherwise>
	    </xsl:choose>
	    <xsl:if test="position()!=last()">
       		<td style="background:url(images/button_line.jpg);background-repeat: repeat-y;background-position: center; " width="30"></td>
	    </xsl:if>
	</xsl:template>


	<xsl:template match="MENU-ITEM" mode="sub">
        <xsl:choose>
            <xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
				<td width="21"><img src="images/sub_button.jpg" width="11" height="9" /></td>
				<td height="28"><span href="{@HREF}" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
			</tr>				
            </xsl:when>
            <xsl:otherwise>
				<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
        		<tr>
					<td width="21"><img src="images/sub_button.jpg" width="11" height="9" /></td>
					<td height="28"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				</tr>
				</xsl:if>
            </xsl:otherwise>
		</xsl:choose>
		<xsl:if test="position()!=last()">
       		<tr>
				<td height="1" colspan="2" bgcolor="#FFFFFF"></td>
			</tr>
	    </xsl:if>
	</xsl:template>

</xsl:stylesheet>
