<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
           <!-- active menu with link-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
						<td align="center">
							<table border="0" align="center" cellpadding="0" cellspacing="0">
              	<tr>
                	<td width="15" class="menuimg"><img src="images/bullet.gif" width="7" height="4" /></td>
                	<td><a href="{@HREF}" class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
              	</tr>
            	</table>
						</td>
            </xsl:when>
            
            
            
            
            <xsl:otherwise>
						<td align="center">
							<table border="0" align="center" cellpadding="0" cellspacing="0">
              	<tr>
                	<td width="15" class="menuimg"><img src="images/bullet.gif" width="7" height="4" /></td>
                	<td><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
              	</tr>
            	</table>
						</td>
            </xsl:otherwise>
	    </xsl:choose>
		<xsl:if test="position()!=last()">
		<td valign="top"><img src="images/line.gif" width="1" height="26" /></td>
		</xsl:if>
	</xsl:template>	

	<xsl:template match="MENU-ITEM" mode="sub">
        <xsl:choose>
            <xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
				<td background="images/sub_bg.gif">
				<table width="100%" border="0" cellspacing="0" cellpadding="0">          
				<tr>				  
					<td><span href="{@HREF}" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
					<td width="32"><img src="images/sub_button.gif" width="32" height="31" /></td>
				</tr>
				</table>
				</td>
			</tr>	
            </xsl:when>
            <xsl:otherwise>
				<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
				<td background="images/sub_bg.gif">
				<table width="100%" border="0" cellspacing="0" cellpadding="0">          
				<tr>				 
					<td><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					<td width="32"><img src="images/sub_button.gif" width="32" height="31" /></td>
				</tr>
				</table>
				</td>
			</tr>	
				</xsl:if>
            </xsl:otherwise>
		</xsl:choose>
		<xsl:if test="position()!=last()"></xsl:if>
	</xsl:template>
	
</xsl:stylesheet>
