<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- av-077 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
  <body marginheight="0" marginwidth="0" topmargin="0" rightmargin="0" bottommargin="0" leftmargin="0">
<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-image: url('images/body_bg.gif');background-position:left;background-repeat: repeat;">
	<tr>
		<td>
<table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;">
  <tr>
    <td width="78" height="129" valign="top" style="background-image: url('images/left_top2.gif');background-position:top;background-repeat: repeat;"><img src="images/left_top.gif" width="79" height="129"/></td>
    <td height="129" valign="top" style="background-image: url('images/logo_mainbg.gif');background-position:left;background-repeat: repeat;"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" style="background-image: url('images/logo_botbg.gif');background-position:left top;background-repeat: repeat-y;">
      <tr>
        <td height="90" valign="top" style="background-image: url('images/logo_rightbg.gif');background-position:left top;background-repeat: repeat-x;"><table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;background-image: url('images/logo_bg.gif');background-position:left top;background-repeat: no-repeat;">
 <tr>
  <td width="218" align="center" valign="middle"><table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;">
 <tr>
  <td><div style="height:px;width:20px;"></div></td>
  <td width="46"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
  <td><div style="height:px;width:10px;"></div></td>
  <td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
  <td><div style="height:px;width:10px;"></div></td>
 </tr>
</table></td>
  <td align="left" valign="top"><table width="100%" height="90" border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td valign="middle"><table border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td><img src="images/slogan_bullet.gif" width="11" height="10"/></td>
          <td><div style="height:px;width:5px;"></div></td>
          <td><span class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></span></td>
        </tr>
      </table></td>
    </tr>
  </table></td>
 </tr>
</table></td>
      </tr>
      <tr>
        <td height="39" style="background-image: url('images/menu_bg.gif');background-position:left;background-repeat: repeat;"><table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;background-image: url('images/menu_topbg.gif');background-position:left top;background-repeat: repeat-x;">
 <tr>
  <td width="15"><div style="height:px;width:15px;"></div>
</td>
  <td height="100%" align="center"><!-- MENU --><table height="100%" border="0" cellpadding="0" cellspacing="0">
    <tr>
      <xsl:call-template name="TOP-MENU"/>
      </tr>
  </table><!-- END MENU --></td>
  <td width="15"><div style="height:px;width:15px;"></div>
</td>
 </tr>
</table></td>
      </tr>
    </table></td>
    <td width="78" height="129" valign="top" style="background-image: url('images/left_top2.gif');background-position:top;background-repeat: repeat;"><img src="images/left_top.gif" width="79" height="129"/></td>
  </tr>
  <tr>
    <td width="78" valign="bottom" style="background-image: url('images/left.gif');background-position:top;background-repeat: no-repeat;"><div style="height:25px;width:78px;"></div></td>
    <td valign="top" style="background-image: url('images/main_bg.gif');background-position:left;background-repeat: repeat;"><table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;">
 <tr>
  <td width="215" align="right" valign="top" style="padding-top:10px;;"><table width="185" border="0" cellspacing="0" cellpadding="0">
  <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
</table>
    <div style="height:10px;width:215px;"></div></td>
  <td width="1" style="background-image: url('images/line.gif');background-position:left;background-repeat: repeat-y;"><div style="height:1px;width:1px;"></div></td>
  <td align="left" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0" style="background-image: url('images/header_bg.jpg');background-position:left;background-repeat: repeat-x;">
    <tr>
      <td><img src="images/header.jpg" width="405" height="212"/></td>
    </tr>
  </table>
    <table border="0" cellspacing="0" cellpadding="0" style="width: 100%;">
      <tr>
        <td align="left" valign="top" class="pageContent_table"><!-- CONTENT -->
            <table cellpadding="0" cellspacing="0" border="0">
              <tr>
                <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                <td class="text-header" style="padding-left:10px;"><img src="images/txtheader_bullet.gif"/></td>
              </tr>
            </table>
          <div style="height:20px;"></div>
          <table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
            <!-- END CONTENT --></td>
      </tr>
    </table></td>
 </tr>
</table></td>
    <td width="78" valign="bottom" style="background-image: url('images/left.gif');background-position:top;background-repeat: no-repeat;"><div style="height:25px;width:78px;"></div></td>
  </tr>
  
  <tr>
    <td width="78" height="86" valign="top" style="background-image: url('images/left2.gif');background-position:top;background-repeat: repeat;"><img src="images/line2.gif" width="78" height="2"/></td>
    <td height="86" valign="top" style="background-image: url('images/main_bg.gif');background-position:left;background-repeat: repeat;"><table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;">
 <tr>
  <td align="center" style="background-image: url('images/line.gif');background-position:top;background-repeat: repeat-x;padding-left:1px;padding-right:1px;padding-top:2px;padding-bottom:0px;"><table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;background-image: url('images/foot_bg.gif');background-position:left top;background-repeat: repeat-x;">
    <tr>
      <td width="15"><div style="height:px;width:15px;"></div></td>
      <td align="center"><!-- BOTTOM MENU -->
            <table border="0" cellpadding="0" cellspacing="0">
              <tr>
                
                <xsl:call-template name="BOTTOM-MENU"/>
              </tr>
            </table>
          <!-- END BOOTTOM MENU --><div style="height:20px;width:25px;"></div><!-- FOOTER -->
        <div align="center" class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
    <!-- END FOOTER --></td>
      <td width="15"><div style="height:px;width:15px;"></div></td>
    </tr>
  </table></td>
  </tr>
</table></td>
    <td width="78" height="86" valign="top" style="background-image: url('images/left2.gif');background-position:top;background-repeat: repeat;"><img src="images/line2.gif" width="78" height="2"/></td>
  </tr>
</table>
		</td>
	</tr>
</table>
</body>

	</html>
</xsl:template>

<!-- TOP-MENU-->
<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>
<!-- END TOP-MENU-->


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>

<!-- SUB-MENU-->	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
	<xsl:when test="@ID=/LAYOUT/@ID" >
	
	  <!-- sub-menu without link-->	
      <tr>
    <td height="30" style="background-image: url('images/submenu_botbg.gif');background-position:left bottom;background-repeat: no-repeat;"><table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;">
 <tr>
   <td height="2" colspan="2"><img src=" " width="0" height="2"/></td>
   </tr>
 <tr>
  <td width="20"><div style="height:px;width:20px;"></div></td>
  <td valign="bottom"><span class="submenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
  <td width="10"><div style="height:px;width:10px;"></div></td>
 </tr>
 <tr>
   <td height="2" colspan="2"><img src=" " width="0" height="2"/></td>
   </tr>
</table></td>
  </tr>
	  <!--end-->
	  
		
	</xsl:when>
	<xsl:otherwise>
	<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
	
	  <!--sub-menu with link-->
	  <tr>
    <td height="30" style="background-image: url('images/submenu_botbg.gif');background-position:left bottom;background-repeat: no-repeat;"><table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;">
 <tr>
   <td height="2" colspan="2"><img src=" " width="0" height="2"/></td>
   </tr>
 <tr>
  <td width="20"><div style="height:px;width:20px;"></div></td>
  <td valign="bottom"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
  <td width="10"><div style="height:px;width:10px;"></div></td>
 </tr>
 <tr>
   <td height="2" colspan="2"><img src=" " width="0" height="2"/></td>
   </tr>
</table></td>
  </tr>
	  <!--end-->
	  
	  
	</xsl:if>
	</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	 
	  <!-- sub-menu no last-->
 
	  <!--end-->
	  
	
</xsl:if>
</xsl:template>	
<!--END SUB-MENU-->


<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>


<!-- BOTTOM-MENU-->		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
	   
		<!-- bottom-menu with link-->
        <td align="left" valign="middle" ><a href="{@HREF}" class="bmenua" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                <td align="right" valign="middle"><img src="images/botmenu_bullet.gif"/></td>
		<!--end-->
		
		
        </xsl:when>
		
	    <xsl:otherwise>
		  
		<!-- bottom-menu click link-->  
        <td align="left" valign="middle" ><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                <td align="right" valign="middle"><img src="images/botmenu_bullet.gif"/></td>
		<!--end-->
		
		
		</xsl:otherwise>
        </xsl:choose>
	    <xsl:if test="position()!=last()">
		
		<!-- bottom-menu no last-->
        
		<!--end-->
		
		</xsl:if>
</xsl:template>
<!--END BOTTOM-MENU-->
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
