<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
<!-- av-136 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
			<style>
				img { behavior:url('images/pngbehavior.htc'); }
			</style>
		</head>

		<body background="images/bg.jpg" style="margin-left: 0px;margin-top: 23px;margin-right: 0px;margin-bottom: 0px;">
<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0">
		<tr>
			<td width="64" height="100%"><img src="images/blank.gif" width="1" height="1" /><img name="" src="" width="64" height="1" alt=""/></td>
			<td width="88%" height="100%">
				<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
				<tr>
					<td width="27" align="left"><img src="images/blank.gif" width="27" height="1" /></td>
					<td width="100%" align="left" background="images/box_top_02.gif"><img src="images/box_top_01.gif" width="31" height="12" /></td>
					<td align="right" background="images/box_top_02.gif"><img src="images/box_top_03.gif" width="30" height="12" /></td>
				</tr>
				<tr>
					<td colspan="3">
						<table width="100%" height="46" border="0" align="center" cellpadding="0" cellspacing="0">
						<tr>
							<td>
								<table width="100%" border="0" cellpadding="0" cellspacing="5" bgcolor="#FFFFFF">
								<tr>
									<td width="107" background="images/logo_bg.jpg">
									<table width="220"  border="0" cellspacing="0" cellpadding="0">
									<tr>
										<td width="12" rowspan="2"></td>
										<td width="40" rowspan="2" style="padding-right:10px;"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
										<td valign="bottom" height="70%" style="padding-right:10px;padding-top:10px;"><div align="center" class="company"><div align="left"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></div>  </div></td>
									</tr>
									<tr>
										<td valign="top" height="30%" style="padding-right:10px;padding-bottom:10px;"><div align="center" class="slogan"><div align="left" style="margin-bottom:8px;"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/><span style="margin-bottom:8px;"></span></div></div></td>
									</tr>
									</table>
									</td>
									<td width="1"><img src="images/blank.gif" width="1" height="1" /></td>
									<td background="images/button_bg.jpg" style="padding-left:10px;padding-right:10px;">
									<!-- CALL TOP-MENU -->
										<xsl:call-template name="TOP-MENU"/>
									</td>
								</tr>
								</table>
							</td>
							<td width="12" valign="top" background="images/box_right_bg.jpg"><img src="images/box_right-.jpg" width="12" height="16" /></td>
						</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td colspan="3">
						<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0">
						<tr>
							<td width="27"><img src="images/blank.gif" width="27" height="1" /></td>
							<td width="12" background="images/box_left_bg.jpg"></td>
							<td height="10" background="images/box_left_bg.jpg" bgcolor="#FFFFFF"><img src="images/blank.gif" width="12" height="1" /></td>
							<td width="100%" background="images/line_bar.jpg" bgcolor="#FFFFFF"><table width="5" border="0" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
						<tr>
							<td><img src="images/blank.gif" width="5" height="10" /></td>
						</tr>
						</table>
					</td>
					<td bgcolor="#FFFFFF">
						<table width="5" border="0" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
						<tr>
							<td><img src="images/blank.gif" width="5" height="10" /></td>
						</tr>
						</table>
					</td>
					<td width="12" background="images/box_right_bg.jpg"><img src="images/blank.gif" width="12" height="1" /></td>
				</tr>
				</table>
			</td>
		</tr>
		<tr>
			<td colspan="3" width="100%" height="100%">
			<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0" >
			<tr>
				<td width="189" valign="top" style="background-image: url(images/box_left_bg.jpg);background-repeat: repeat-y;background-position: 27px;">
					<table width="230" border="0" cellpadding="0" cellspacing="5" bgcolor="#FFFFFF">
					<tr>
						<td bgcolor="D9D9D9">
							<table width="80%" border="0" align="center" cellpadding="0" cellspacing="0">
							<tr>
								<td></td>
								<td height="20"></td>
							</tr>
							

							<!--2ndmenu /-->
							<!-- CALL SUB-MENU -->
							<xsl:call-template name="SUB-MENU">
								<xsl:with-param name="pageID" select="@ID"/>
							</xsl:call-template>
							<!--/ 2ndmenu-->


							<tr>
								<td></td>
								<td height="20"></td>
							</tr>
							</table>
						</td>
					</tr>
					</table>
				</td>
				<td bgcolor="#FFFFFF" width="100%" height="100%"><table width="100%" height="100%" border="0" cellspacing="5" cellpadding="0">
                <tr>
                  <td background="images/header_bg.jpg"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td height="198" align="left" valign="bottom" background="images/header.jpg" style="background-position:right"><img src="images/man.png" width="177" height="198" /></td>
                        </tr>
                    </table></td>
                </tr>
                <tr>
                  <td style="padding:20px; " valign="top" width="100%" height="100%">
				  
				  <table border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td><div align="left" class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div></td>
                      <td style="padding-left:20px;"><img src="images/title_point.jpg" width="17" height="17" /></td>
                    </tr>
                  </table>
				  <table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0">
	<td class="pageContent" name="SB_stretch" width="100%" height="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
                  </table>
				  
				  </td>
                </tr>
            </table></td>
            <td width="12" background="images/box_right_bg.jpg"><img src="images/blank.gif" width="12" height="1" /></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td colspan="3"><table width="100%" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td width="27"></td>
            <td width="12" valign="bottom" background="images/box_left_bg.jpg"><img src="images/box_left_.jpg" width="12" height="13" /></td>
            <td><table width="100%" border="0" cellpadding="0" cellspacing="5" bgcolor="#FFFFFF">
                <tr>
                  <td background="images/bot_bg.jpg">

				  <!--bottommenu /-->
				  <!-- CALL BOTTOM-MENU -->
					<xsl:call-template name="BOTTOM-MENU"/>
				  <!--/ bottommenu-->
				  </td>
                </tr>
            </table></td>
            <td width="12" valign="bottom" background="images/box_right_bg.jpg"><img src="images/box_right_.gif" width="12" height="16" /></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td></td>
        <td align="left"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="30"><img src="images/box_under_01.png" width="30" height="13"/></td>
            <td background="images/box_under_02.gif"><div style="width:100%; "><spacer type="block" width="100%" height="1" /></div></td>
          </tr>
        </table></td>
        <td align="right"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td background="images/box_under_02.gif"><div style="width:100%; "><spacer type="block" width="100%" height="1" /></div></td>
            <td width="29" align="right"><img src="images/box_under_03.png" width="29" height="13"/></td>
          </tr>
        </table></td>
      </tr>
      
      
    </table></td>
    <td width="64"><img src="images/blank.gif" width="1" height="1" /><img name="" src="" width="64" height="1" alt=""/></td>
  </tr>
		<tr>
		  <td height="44"></td>
		  <td height="44" align="center" valign="middle" class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
		  <td height="44"></td>
  </tr>
</table>
</body>
</html>



	</xsl:template>


	<!--TOP-MENU-->

				
	<xsl:template name="TOP-MENU">
   		<table height="70" border="0" align="center" cellpadding="0" cellspacing="0">
		<tr>
			<xsl:apply-templates select="MENU" mode="top"/>
       	</tr>
		</table>
	</xsl:template>


	<!--SUB-MENU-->  
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">       			
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
       			
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
				
			</xsl:when>
		<xsl:otherwise>
			<!-- no op -->
			&#160;
		</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<!--BOTTOM-MENU-->

	<xsl:template name="BOTTOM-MENU">
       	 <table height="55" border="0" align="center" cellpadding="0" cellspacing="0" background="images/bot_bg.jpg">
         <tr>
			<xsl:apply-templates select="MENU" mode="bottom"/>			
       	</tr>
       	</table>
	</xsl:template>


	<xsl:template match="MENU" mode="bottom">
		<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
	</xsl:template>


	<xsl:template match="MENU-ITEM"  mode="bottom">
			<xsl:choose>
            <!-- when vizited inside-->
            	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
				 <td  align="center">
					<table width="100%" height="55" border="0" cellpadding="0" cellspacing="0">
					<tr>
						<td height="20" align="center" valign="bottom"><img src="images/bot_button.jpg" width="6" height="4" /></td>
                    </tr>
					<tr>
						<td height="35" align="center"><a href="{@HREF}" class="amenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					</tr>
					</table>
				</td>                
                </xsl:when>
                <!-- when active-->
                
                <xsl:otherwise>
		        	<td>
					<table width="100%" height="55" border="0" cellpadding="0" cellspacing="0">
					<tr>
						<td height="20" align="center" valign="bottom"><img src="images/bot_button.jpg" width="6" height="4" /></td>
                    </tr>
					<tr>
						<td height="35" align="center"><a href="{@HREF}" class="menu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					</tr>
					</table>
				</td>
                </xsl:otherwise>
            </xsl:choose>
   			<xsl:if test="position()!=last()">
       		<td style="background:url(images/button_line.jpg);background-repeat: repeat-y;background-position: center; " width="20"></td>
   			</xsl:if>
	</xsl:template>

	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
