<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
           <!-- active menu with link-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
			<td align="center">
				<table border="0" cellspacing="0" cellpadding="0">
				<tr>
					<td height="16" align="center"><img src="images/bullet1.gif" width="8" height="8" /></td>
				</tr>
				<tr>
					<td align="center"><a href="{@HREF}" class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				</tr>
				</table>
			</td>			
            </xsl:when>
            
            
            <xsl:otherwise>
			<td align="center">
				<table border="0" cellspacing="0" cellpadding="0">
				<tr>
					<td height="16" align="center"><img src="images/bullet1.gif" width="8" height="8" /></td>
				</tr>
				<tr>
					<td align="center"><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				</tr>
				</table>
			</td>
            </xsl:otherwise>
	    </xsl:choose>
		<xsl:if test="position()!=last()">
			<td valign="middle"><img src="images/menu_line.gif" width="2" height="44" /></td>
		</xsl:if>
	</xsl:template>	

	<xsl:template match="MENU-ITEM" mode="sub">
        <xsl:choose>
            <xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
				<td valign="middle" height="30">
				<table width="90%" border="0" align="center" cellpadding="0" cellspacing="0">
				<tr>
					<td width="16"><img src="images/sub_button.gif" width="9" height="7" /></td>
					<td class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
				</tr>
				</table>
				</td>
			</tr>
            </xsl:when>
            <xsl:otherwise>
				<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">

				<tr>
					<td valign="middle" height="30">
					<table width="90%" border="0" align="center" cellpadding="0" cellspacing="0">
					<tr>
						<td width="16"><img src="images/sub_button.gif" width="9" height="7" /></td>
						<td><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					</tr>
					</table>
					</td>
				</tr>			
				</xsl:if>
            </xsl:otherwise>
			

		</xsl:choose>
		<xsl:if test="position()!=last()">
		<tr>
			<td height="2" background="images/sub_line.gif"></td>
		</tr>
		</xsl:if>
	</xsl:template>
	
</xsl:stylesheet>
