<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- av-170 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body style="margin:0px;" bgcolor="#ffffff">
<center>
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td background="images/001.gif" style="width:18px;"><img src="images/001.gif" width="10" height="44"/></td>
    <td valign="bottom" style="background-image:url(images/002.gif);background-position:top;background-repeat:repeat-x;padding-top:25px;"><table width="100%" border="0" cellspacing="0" cellpadding="0" style="border: 1px solid #FFFFFF;">
      <tr>
        <td background="images/003.gif"><!-- MENU -->
            <table  border="0" cellspacing="0" cellpadding="0" align="center" height="45">
              <tr>
                <td width="10"></td>
                <xsl:call-template name="TOP-MENU"/>
                <td width="10"></td>
              </tr>
            </table>
            <!-- END MENU -->
        </td>
      </tr>
    </table></td>
  <td style="background-image:url(images/002.gif);background-position:top;background-repeat:repeat-x;">
  <!-- LOGO -->
  <table width="200" border="0" align="center" cellpadding="0" cellspacing="0">
    <tr>
      <td width="60" rowspan="2"><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
      <td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
    </tr>
    <tr>
      <td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
    </tr>
  </table>
  <!-- END LOGO -->
  </td>
  </tr>
  
  <tr>
    <td width="18" background="images/001.gif"></td>
    <td height="100%" valign="top" bgcolor="#F2F3F5" style="border-right-width: 1px;
	border-bottom-width: 1px;
	border-left-width: 1px;
	border-right-style: solid;
	border-bottom-style: solid;
	border-left-style: solid;
	border-right-color: #FFFFFF;
	border-bottom-color: #FFFFFF;
	border-left-color: #FFFFFF;	"><table width="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td background="images/header1.gif"><img src="images/header.gif" width="524" height="191"/></td>
      </tr>
      <tr>
        <td height="1" bgcolor="#FFFFFF"></td>
      </tr>
      <tr>
        <td height="100%" valign="top" class="pageContent1">
		<!-- CONTENT -->
                <br/>
<table  border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td class="pathway"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                  <td><img src="images/008.gif" width="17" height="17"/></td>
                </tr>
</table>
                <br/>
<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" valign="top" width="100%">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
		<!-- END CONTENT -->
		</td>
      </tr>
    </table></td>
    <td width="220" valign="top" bgcolor="#FFFFFF" style="border-top-width: 1px;
	border-bottom-width: 1px;
	border-left-width: 1px;
	border-top-style: solid;
	border-bottom-style: solid;
	border-left-style: solid;
	border-top-color: #DEDFE3;
	border-bottom-color: #DEDFE3;
	border-left-color: #DEDFE3;	"><table width="220" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td valign="top" style="padding-top:25px; padding-bottom:25px;">
		<!-- SUBMENU -->
		<table width="176" border="0" align="center" cellpadding="0" cellspacing="0">
          <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
        </table>
		<!-- END SUBMENU -->
		</td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td width="18" background="images/001.gif"></td>
    <td valign="top" background="images/002.gif" ><table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td align="center" background="images/003.gif"><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td><table width="100%"  border="0" cellspacing="0" cellpadding="0" align="center" background="images/003.gif">
                <tr>
                  <td valign="top" style="border-right-width: 2px;
	border-bottom-width: 1px;
	border-right-style: solid;
	border-bottom-style: solid;
	border-right-color: #FFFFFF;
	border-bottom-color: #FFFFFF;"><table border="0" cellspacing="0" cellpadding="0" align="center">
                      <tr>
                        <td background="images/003.gif"><!-- BOTTOM MENU -->
                            <table  border="0" cellspacing="0" cellpadding="0" align="center" height="45">
                              <tr>
                                <td width="10"></td>
                                <xsl:call-template name="BOTTOM-MENU"/>
                                <td width="10"></td>
                              </tr>
                            </table>
                            <!-- END BOTTOM MENU -->
                        </td>
                      </tr>
                  </table></td>
                </tr>
            </table></td>
          </tr>
          <tr>
            <td valign="bottom" ></td>
          </tr>
        </table></td>
      </tr>

      <tr>
        <td height="30" background="images/002_3.gif" style="background-repeat:no-repeat;background-position:left;"></td>
      </tr>
    </table></td>
    <td background="images/002.gif">
	<!-- FOOTER -->
	<table width="180" border="0" align="center" cellpadding="0" cellspacing="0" >
      <tr>
        <td class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
      </tr>
    </table>
	<!-- END FOOTER -->
	</td>
  </tr>
</table>
</center>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >


<tr>
<td class="smenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
</tr>
<tr>
            <td><img src="images/005.gif" width="176" height="13"/></td>
          </tr>
		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">



<tr>
<td ><a href="{@HREF}" class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
</tr>
<tr>
<td><img src="images/005.gif" width="176" height="13"/></td>
</tr>
		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">



	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">


<td><a href="{@HREF}" class="bmenua" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </td>

	   </xsl:when>

           <!-- when active-->
           
           <xsl:otherwise>

<td><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </td>

	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">

<td width="10"></td>
<td  background="images/004.gif" style="background-repeat:no-repeat;background-position:center top;"><img src="images/009.gif" width="8" height="8"/></td>
<td width="10"></td>

  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
